< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeout
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- JsonHttpReads
- LengthRequiredException
- LockedException
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- OptionHttpReads
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- RawReads
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

t

uk.gov.hmrc.http

# HttpTransport 

###

#### trait HttpTransport extends GetHttpTransport with DeleteHttpTransport with PatchHttpTransport with PutHttpTransport with PostHttpTransport

Linear Supertypes
PostHttpTransport, PutHttpTransport, PatchHttpTransport, DeleteHttpTransport, GetHttpTransport, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpTransport
2. PostHttpTransport
3. PutHttpTransport
4. PatchHttpTransport
5. DeleteHttpTransport
6. GetHttpTransport
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def doDelete(url: String, headers: Seq[(String, String)] = Seq.empty[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     DeleteHttpTransport
2.  abstract def doEmptyPost[A](url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
3.  abstract def doFormPost(url: String, body: Map[String, Seq[String]])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
4.  abstract def doGet(url: String, queryParams: Seq[(String, String)], headers: Seq[(String, String)] = Seq.empty[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     GetHttpTransport
5.  abstract def doGet(url: String, queryParams: Seq[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     GetHttpTransport
6.  abstract def doGet(url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     GetHttpTransport
7.  abstract def doPatch[A](url: String, body: A, headers: Seq[(String, String)] = Seq.empty[(String, String)])(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     PatchHttpTransport
8.  abstract def doPost[A](url: String, body: A, headers: Seq[(String, String)])(implicit wts: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
9.  abstract def doPostString(url: String, body: String, headers: Seq[(String, String)] = Seq.empty[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     PostHttpTransport
10.  abstract def doPut[A](url: String, body: A, headers: Seq[(String, String)])(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
    Definition Classes
      PutHttpTransport
11.  abstract def doPutString(url: String, body: String, headers: Seq[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
    Definition Classes
      PutHttpTransport

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  def doPut[A](url: String, body: A)(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     PutHttpTransport
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from PostHttpTransport

### Inherited from PutHttpTransport

### Inherited from PatchHttpTransport

### Inherited from DeleteHttpTransport

### Inherited from GetHttpTransport

### Inherited from AnyRef

### Inherited from Any

### Ungrouped